Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm.buildins.datetime
Class Predicate_date_time_value

    java.lang.Object
      gnu.prolog.vm.ExecuteOnlyCode
          gnu.prolog.vm.buildins.datetime.DateTimePrologCode
              gnu.prolog.vm.buildins.datetime.Predicate_date_time_value

All Implemented Interfaces:
  Installable, PrologCode

    public class Predicate_date_time_value

extends DateTimePrologCode

Author:
  Michiel Hendriks

Field Summary
`static AtomTerm[]` | `date9keys`
`static AtomTerm` | `dayAtom`
`static AtomTerm` | `daylightSavingAtom`
`static AtomTerm` | `hourAtom`
`static AtomTerm` | `minuteAtom`
`static AtomTerm` | `monthAtom`
`static AtomTerm` | `secondAtom`
`static AtomTerm` | `timeZoneAtom`
`static AtomTerm` | `utcOffsetAtom`
`static AtomTerm` | `yearAtom`

Fields inherited from class gnu.prolog.vm.buildins.datetime.DateTimePrologCode
`date3Tag, date9Tag, dateAtom, timeAtom, timeTag`

Fields inherited from interface gnu.prolog.vm.PrologCode
`FAIL, HALT, SUCCESS, SUCCESS_LAST`

Constructor Summary
`Predicate_date_time_value()`

Method Summary
`int` | `execute(Interpreter interpreter, boolean backtrackMode, Term[] args)` this method is used for execution of code
`protected Term` | `getDate9Value(Term keyTerm, CompoundTerm date9)`
`protected int` | `nextSolution(Interpreter interpreter, gnu.prolog.vm.buildins.datetime.Predicate_date_time_value.Date9BacktrackInfo bi)`

Methods inherited from class gnu.prolog.vm.buildins.datetime.DateTimePrologCode
`getDate`

Methods inherited from class gnu.prolog.vm.ExecuteOnlyCode
`install, uninstall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### yearAtom

    public static final AtomTerm yearAtom

### monthAtom

    public static final AtomTerm monthAtom

### dayAtom

    public static final AtomTerm dayAtom

### hourAtom

    public static final AtomTerm hourAtom

### minuteAtom

    public static final AtomTerm minuteAtom

### secondAtom

    public static final AtomTerm secondAtom

### utcOffsetAtom

    public static final AtomTerm utcOffsetAtom

### timeZoneAtom

    public static final AtomTerm timeZoneAtom

### daylightSavingAtom

    public static final AtomTerm daylightSavingAtom

### date9keys

    public static final AtomTerm[] date9keys

Constructor Detail

### Predicate_date_time_value

    public Predicate_date_time_value()

Method Detail

### execute

    public int execute(Interpreter interpreter,
                       boolean backtrackMode,
                       Term[] args)
                throws PrologException

  Description copied from interface: `PrologCode`
  this method is used for execution of code

  Specified by:
    `execute` in interface `PrologCode`
  Specified by:
    `execute` in class `ExecuteOnlyCode`
  Parameters:
    `interpreter` - interpreter in which context code is executed
    `backtrackMode` - true if predicate is called on backtracking and false otherwise
    `args` - arguments of code
  Returns:
    either SUCCESS, SUCCESS_LAST, or FAIL.
  Throws:
    `PrologException`

### getDate9Value

    protected Term getDate9Value(Term keyTerm,
                                 CompoundTerm date9)
                          throws PrologException

  Parameters:
    `keyTerm` - the term to use to select which part of date9 to return
    `date9` -
  Returns:
    the Term representing the part of date9 selected by keyTerm
  Throws:
    `PrologException`

### nextSolution

    protected int nextSolution(Interpreter interpreter,
                               gnu.prolog.vm.buildins.datetime.Predicate_date_time_value.Date9BacktrackInfo bi)
                        throws PrologException

  Parameters:
    `interpreter` -
    `bi` -
  Returns:
    PrologCode return code
  Throws:
    `PrologException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD